> ## Documentation Index
> Fetch the complete documentation index at: https://docs.refold.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger an event for single app

This API triggers a webhook event for a specific application using its slug. Ensure the event is created on your Refold dashboard prior to triggering.

## Request description

#### Headers

<ParamField header="linked_account_id" type="string" required>
  Unique customer identification id. For Eg: [markwood@some\_email.com](mailto:markwood@some_email.com)
</ParamField>

<ParamField header="config_id" type="string">
  Config Id for the linked account. If not provided, `linked_account_id` is considered by default.
</ParamField>

#### Path Parameters

<ParamField path="slug" type="string" required>
  Application slug. Eg: `pipedrive`
</ParamField>

#### Body Parameters

<ParamField body="event" type="string" required>
  Event Name
</ParamField>

<ParamField body="payload" type="object">
  Event payload with user data required for the workflow.

  ```JSON Example payload theme={null}
    {
      "deal_name": "Some Value",
      "deal_amount": "some value 2",
      "close_date": "some value 3",
      "status": "some value 4"
    }
  ```
</ParamField>

## Response description

<Tabs>
  <Tab title="200">
    <ResponseField name="message" type="string">
      System generated message
    </ResponseField>
  </Tab>

  <Tab title="Error response">
    <ResponseField name="status_code" type="integer">
      System generated status Code
    </ResponseField>

    <ResponseField name="error_type" type="string">
      System generated error type
    </ResponseField>

    <ResponseField name="message" type="string">
      Error message
    </ResponseField>
  </Tab>
</Tabs>

<ResponseExample>
  ```JSON 200 theme={null}
  {
      "message": "Webhook Fired Success"
  }
  ```

  ```JSON 400 theme={null}
  {
      "status_code": 400,
      "error_type": "BAD_REQUEST",
      "message": "Trigger with name Wrong_Event not found for application 646370324e3b114f9c720719"
  }
  ```

  ```JSON 401 theme={null}
  {
      "status_code": 401,
      "http_error_type": "UNAUTHORIZED",
      "error_code": "SERVER_ERROR",
      "message": "Invalid Credentials"
  }
  ```
</ResponseExample>
